import { ChangeDetectorRef, OnDestroy, ElementRef, EventEmitter, Renderer2, AfterViewInit } from '@angular/core';
import { ControlValueAccessor, NgControl, NgModel } from '@angular/forms';
export declare class DatePickerDirective implements OnDestroy, ControlValueAccessor, AfterViewInit {
    private renderer;
    private _element;
    private changeRef;
    private _locale?;
    private _timezone?;
    private ngControl?;
    value: Date;
    ngModel: NgModel;
    outerValue: string;
    readonly valueChange: EventEmitter<Date | null>;
    private innerDateValue;
    private listenerFn;
    private picker;
    constructor(renderer: Renderer2, _element: ElementRef, changeRef: ChangeDetectorRef, _locale?: string, _timezone?: string, ngControl?: NgControl);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    writeValue(newValue: Date): void;
    onChange: (value: any) => void;
    onTouch: () => void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    onInput(event: any): void;
    onCalendarSelect(event: any): void;
    private updateInnerValue;
    private propogateInnerValueChange;
    private prepDateStringOutput;
}
