import { AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter, OnChanges } from '@angular/core';
import { ControlValueAccessor, NgForm, FormGroupDirective, NgControl, NgModel } from '@angular/forms';
export declare class ListValueDirective implements AfterViewInit, ControlValueAccessor, OnChanges {
    private _element;
    private changeRef;
    private ngControl?;
    private _list;
    private readonly parent;
    value: string[];
    readonly parsedField: any;
    list: any;
    ngModel: NgModel;
    control: any;
    field: any;
    readonly valueChange: EventEmitter<any>;
    onAnjBlur(): void;
    onAnjChange(target: HTMLInputElement): void;
    readonly isInvalid: boolean;
    constructor(_element: ElementRef, changeRef: ChangeDetectorRef, parentForm: NgForm, parentGroup: FormGroupDirective, ngControl?: NgControl);
    ngAfterViewInit(): void;
    ngOnChanges(): void;
    setAttributes(): void;
    writeValue(newValue: any): void;
    onChange: (value: any) => void;
    onTouch: () => void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    private changeHandler;
    private propogateValueChange;
}
